.btn {
  @include flex-vertical;
  @include font(velasans-semi-bold);
  justify-content: center;
  position: relative;
  font-size: 18px;
  line-height: 139%;
  text-align: center;
  padding: 25px 50px;
  color: $btn_color;
  box-shadow: $shadow_32, $shadow_24, $shadow_8, $shadow_1;
  border-radius: 100px;
  overflow: hidden;
  
  span {
  z-index: 2;
  white-space: nowrap;
  }
  
  &::before,
  &::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: all .3s ease-in-out;
  }
  
  &:hover::before {
    opacity: 0;
  }
  
  &:hover::after,
  &:active::after {
    opacity: 1;
  }
}

.btn_header {
  padding: 15px 30px;
  font-size: 14px;
  line-height: 136%;
  text-transform: uppercase;
  
  &::before {
    background: linear-gradient($blue_gr);
    opacity: 1;
  }
  
  &::after {
    background: linear-gradient($blue_gr_reverse);
    opacity: 0;
  }
}

.btn_main {
  animation: pulse 3s infinite linear;
  
  &::before {
    background: linear-gradient($orange_gr);
    opacity: 1;
  }
  
  &::after {
    background: linear-gradient($orange_gr_reverse);
    opacity: 0;
  }
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0px $pulse;
  }
  40% {
    box-shadow: 0 0 35px rgba($btn_color, 0);
  }
}


@media screen and (max-width: 1320px) {
  .btn_header {
    font-size: 16px;
    line-height: 160%;
    padding: 12px 30px;
    text-transform: none;
  }
}


@media screen and (max-width: 970px) {
  .btn {
    font-size: 14px;
    line-height: 160%;
    padding: 10px 24px;
  }
}


//@media screen and (max-width: 665px) {
//
//  .btn_header {
//    padding: 0px;
//
//    &::before {
//      background: linear-gradient($blue_gr);
//      opacity: 1;
//    }
//
//    &::after {
//      background: linear-gradient($blue_gr_reverse);
//      opacity: 0;
//    }
//  }
//}